Subject: Kombucha

From: [email-masked]
Date: Sat, 22 Oct 94 06:34:54 -0500

None Myc, I'm seeking to know if this is the same yeast/bacterium that has
recently become "faddish" in LA etc and if so, why? ie what sort of properties
and claims are being ascribed to it credible and incredible. Michael Wright.